############################################################################
# Constraints for the KRM-3Z45 Module                                      #
# In order to use this, the Top Level Module needs the following ports:    #
#                                                                          #
#    X1_1 : inout iogroup_t;                                               #
#    X1_2 : inout iogroup_t;                                               #
#    X2_1 : inout iogroup_t;                                               #
#    X2_2 : inout iogroup_t;                                               #      
#                                                                          #
#    X1_MGT0 : inout mgtgroup0_t;                                          #
#    X1_MGT1 : inout mgtgroup1_t;                                          #
#                                                                          #
#    LED : out STD_LOGIC_VECTOR (3 downto 0);                              #
#                                                                          #
# The types iogroup_t, mgtgroup0_t and mgtgroup1_t are defined in          #
# the carrier package (e.g. krm3500_pkg.vhd)                               #
#                                                                          #
#                                                                          #
############################################################################


############################################################################
# I/O STANDARDS and Location Constraints                                   #
############################################################################

#NET "z7_system_inst/processing_system7_0/PS_PORB" IOSTANDARD = LVCMOS33;
#NET "z7_system_inst/processing_system7_0/PS_PORB" DRIVE = 8;
#NET "z7_system_inst/processing_system7_0/PS_PORB" SLEW = slow;

#NET "z7_system_inst/processing_system7_0/PS_SRSTB" IOSTANDARD = LVCMOS33;
#NET "z7_system_inst/processing_system7_0/PS_SRSTB" DRIVE = 8;
#NET "z7_system_inst/processing_system7_0/PS_SRSTB" SLEW = slow;

#NET "z7_system_inst/processing_system7_0/PS_CLK" IOSTANDARD = LVCMOS33;
#NET "z7_system_inst/processing_system7_0/PS_CLK" DRIVE = 8;
#NET "z7_system_inst/processing_system7_0/PS_CLK" SLEW = slow;

#############################################################################
# On-Board Connections                                                      #
#############################################################################

# USR_LED_1
set_property PACKAGE_PIN K12 		[get_ports {LED[0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {LED[0]}]
set_property DRIVE 8 				[get_ports {LED[0]}]
set_property SLEW SLOW 				[get_ports {LED[0]}]

# USR_LED_2
set_property PACKAGE_PIN H16		[get_ports {LED[1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {LED[1]}]
set_property DRIVE 8 				[get_ports {LED[1]}]
set_property SLEW SLOW 				[get_ports {LED[1]}]

# USR_LED_3
set_property PACKAGE_PIN K10 		[get_ports {LED[2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {LED[2]}]
set_property DRIVE 8 				[get_ports {LED[2]}]
set_property SLEW SLOW 				[get_ports {LED[2]}]

# USR_LED_4
set_property PACKAGE_PIN K11 		[get_ports {LED[3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {LED[3]}]
set_property DRIVE 8 				[get_ports {LED[3]}]
set_property SLEW SLOW 				[get_ports {LED[3]}]

#############################################################################
# X1_1 Connections                                                          #
#############################################################################

#Bytegroup t0

set_property PACKAGE_PIN AA25 		[get_ports {X1_1[t0][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][0]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][0]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][0]}]

set_property PACKAGE_PIN AB25 		[get_ports {X1_1[t0][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][1]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][1]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][1]}]

set_property PACKAGE_PIN AB26 		[get_ports {X1_1[t0][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][2]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][2]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][2]}]

set_property PACKAGE_PIN AC26 		[get_ports {X1_1[t0][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][3]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][3]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][3]}]

set_property PACKAGE_PIN AE25 		[get_ports {X1_1[t0][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][4]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][4]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][4]}]

set_property PACKAGE_PIN AE26 		[get_ports {X1_1[t0][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][5]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][5]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][5]}]

set_property PACKAGE_PIN AD25 		[get_ports {X1_1[t0][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][6]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][6]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][6]}]

set_property PACKAGE_PIN AD26 		[get_ports {X1_1[t0][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][7]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][7]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][7]}]

set_property PACKAGE_PIN AF24 		[get_ports {X1_1[t0][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][8]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][8]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][8]}]

set_property PACKAGE_PIN AF25 		[get_ports {X1_1[t0][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][9]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][9]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][9]}]

set_property PACKAGE_PIN AA24 		[get_ports {X1_1[t0][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][10]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][10]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][10]}]

set_property PACKAGE_PIN AB24 		[get_ports {X1_1[t0][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t0][11]}]
set_property DRIVE 8 				[get_ports {X1_1[t0][11]}]
set_property SLEW SLOW 				[get_ports {X1_1[t0][11]}]

#Bytegroup t1

set_property PACKAGE_PIN AE22 		[get_ports {X1_1[t1][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][0]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][0]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][0]}]

set_property PACKAGE_PIN AF22 		[get_ports {X1_1[t1][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][1]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][1]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][1]}]

set_property PACKAGE_PIN AE23 		[get_ports {X1_1[t1][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][2]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][2]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][2]}]

set_property PACKAGE_PIN AF23 		[get_ports {X1_1[t1][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][3]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][3]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][3]}]

set_property PACKAGE_PIN AB21 		[get_ports {X1_1[t1][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][4]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][4]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][4]}]

set_property PACKAGE_PIN AB22 		[get_ports {X1_1[t1][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][5]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][5]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][5]}]

set_property PACKAGE_PIN AA22 		[get_ports {X1_1[t1][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][6]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][6]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][6]}]

set_property PACKAGE_PIN AA23 		[get_ports {X1_1[t1][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][7]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][7]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][7]}]

set_property PACKAGE_PIN AD23 		[get_ports {X1_1[t1][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][8]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][8]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][8]}]

set_property PACKAGE_PIN AD24 		[get_ports {X1_1[t1][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][9]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][9]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][9]}]

set_property PACKAGE_PIN AC23 		[get_ports {X1_1[t1][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][10]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][10]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][10]}]

set_property PACKAGE_PIN AC24 		[get_ports {X1_1[t1][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t1][11]}]
set_property DRIVE 8 				[get_ports {X1_1[t1][11]}]
set_property SLEW SLOW 				[get_ports {X1_1[t1][11]}]

#Bytegroup t2

set_property PACKAGE_PIN AD20 		[get_ports {X1_1[t2][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][0]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][0]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][0]}]

set_property PACKAGE_PIN AD21 		[get_ports {X1_1[t2][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][1]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][1]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][1]}]

set_property PACKAGE_PIN AC21 		[get_ports {X1_1[t2][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][2]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][2]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][2]}]

set_property PACKAGE_PIN AC22 		[get_ports {X1_1[t2][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][3]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][3]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][3]}]

set_property PACKAGE_PIN AF19 		[get_ports {X1_1[t2][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][4]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][4]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][4]}]

set_property PACKAGE_PIN AF20 		[get_ports {X1_1[t2][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][5]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][5]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][5]}]

set_property PACKAGE_PIN AE20 		[get_ports {X1_1[t2][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][6]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][6]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][6]}]

set_property PACKAGE_PIN AE21 		[get_ports {X1_1[t2][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][7]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][7]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][7]}]

set_property PACKAGE_PIN AD18 		[get_ports {X1_1[t2][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][8]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][8]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][8]}]

set_property PACKAGE_PIN AD19 		[get_ports {X1_1[t2][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][9]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][9]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][9]}]

set_property PACKAGE_PIN AE18 		[get_ports {X1_1[t2][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][10]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][10]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][10]}]

set_property PACKAGE_PIN AF18 		[get_ports {X1_1[t2][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t2][11]}]
set_property DRIVE 8 				[get_ports {X1_1[t2][11]}]
set_property SLEW SLOW 				[get_ports {X1_1[t2][11]}]

#Bytegroup t3

set_property PACKAGE_PIN W20 		[get_ports {X1_1[t3][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][0]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][0]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][0]}]

set_property PACKAGE_PIN Y20 		[get_ports {X1_1[t3][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][1]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][1]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][1]}]

set_property PACKAGE_PIN AA20 		[get_ports {X1_1[t3][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][2]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][2]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][2]}]

set_property PACKAGE_PIN AB20 		[get_ports {X1_1[t3][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][3]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][3]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][3]}]

set_property PACKAGE_PIN AC18 		[get_ports {X1_1[t3][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][4]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][4]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][4]}]

set_property PACKAGE_PIN AC19 		[get_ports {X1_1[t3][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][5]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][5]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][5]}]

set_property PACKAGE_PIN AA19 		[get_ports {X1_1[t3][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][6]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][6]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][6]}]

set_property PACKAGE_PIN AB19 		[get_ports {X1_1[t3][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][7]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][7]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][7]}]

set_property PACKAGE_PIN W18 		[get_ports {X1_1[t3][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][8]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][8]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][8]}]

set_property PACKAGE_PIN W19 		[get_ports {X1_1[t3][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][9]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][9]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][9]}]

set_property PACKAGE_PIN Y18 		[get_ports {X1_1[t3][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][10]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][10]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][10]}]

set_property PACKAGE_PIN AA18 		[get_ports {X1_1[t3][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_1[t3][11]}]
set_property DRIVE 8 				[get_ports {X1_1[t3][11]}]
set_property SLEW SLOW 				[get_ports {X1_1[t3][11]}]

#############################################################################
# X1_2 Connections                                                          #
#############################################################################

#Bytegroup t0

set_property PACKAGE_PIN Y12 		[get_ports {X1_2[t0][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][0]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][0]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][0]}]

set_property PACKAGE_PIN Y11 		[get_ports {X1_2[t0][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][1]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][1]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][1]}]

set_property PACKAGE_PIN AB12 		[get_ports {X1_2[t0][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][2]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][2]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][2]}]

set_property PACKAGE_PIN AC11 		[get_ports {X1_2[t0][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][3]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][3]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][3]}]

set_property PACKAGE_PIN Y10 		[get_ports {X1_2[t0][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][4]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][4]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][4]}]

set_property PACKAGE_PIN AA10 		[get_ports {X1_2[t0][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][5]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][5]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][5]}]

set_property PACKAGE_PIN AB11 		[get_ports {X1_2[t0][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][6]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][6]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][6]}]

set_property PACKAGE_PIN AB10 		[get_ports {X1_2[t0][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][7]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][7]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][7]}]

set_property PACKAGE_PIN W13 		[get_ports {X1_2[t0][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][8]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][8]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][8]}]

set_property PACKAGE_PIN Y13 		[get_ports {X1_2[t0][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][9]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][9]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][9]}]

set_property PACKAGE_PIN AA13 		[get_ports {X1_2[t0][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][10]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][10]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][10]}]

set_property PACKAGE_PIN AA12 		[get_ports {X1_2[t0][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t0][11]}]
set_property DRIVE 8 				[get_ports {X1_2[t0][11]}]
set_property SLEW SLOW 				[get_ports {X1_2[t0][11]}]

#Bytegroup t1

set_property PACKAGE_PIN AE10 		[get_ports {X1_2[t1][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][0]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][0]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][0]}]

set_property PACKAGE_PIN AD10 		[get_ports {X1_2[t1][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][1]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][1]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][1]}]

set_property PACKAGE_PIN AE12 		[get_ports {X1_2[t1][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][2]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][2]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][2]}]

set_property PACKAGE_PIN AF12 		[get_ports {X1_2[t1][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][3]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][3]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][3]}]

set_property PACKAGE_PIN AE11 		[get_ports {X1_2[t1][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][4]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][4]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][4]}]

set_property PACKAGE_PIN AF10 		[get_ports {X1_2[t1][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][5]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][5]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][5]}]

set_property PACKAGE_PIN AE13 		[get_ports {X1_2[t1][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][6]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][6]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][6]}]

set_property PACKAGE_PIN AF13 		[get_ports {X1_2[t1][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][7]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][7]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][7]}]

set_property PACKAGE_PIN AC12 		[get_ports {X1_2[t1][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][8]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][8]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][8]}]

set_property PACKAGE_PIN AD11 		[get_ports {X1_2[t1][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][9]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][9]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][9]}]

set_property PACKAGE_PIN AC13 		[get_ports {X1_2[t1][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][10]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][10]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][10]}]

set_property PACKAGE_PIN AD13 		[get_ports {X1_2[t1][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t1][11]}]
set_property DRIVE 8 				[get_ports {X1_2[t1][11]}]
set_property SLEW SLOW 				[get_ports {X1_2[t1][11]}]

#Bytegroup t2

set_property PACKAGE_PIN AC14 		[get_ports {X1_2[t2][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][0]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][0]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][0]}]

set_property PACKAGE_PIN AD14 		[get_ports {X1_2[t2][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][1]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][1]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][1]}]

set_property PACKAGE_PIN AB15 		[get_ports {X1_2[t2][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][2]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][2]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][2]}]

set_property PACKAGE_PIN AB14 		[get_ports {X1_2[t2][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][3]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][3]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][3]}]

set_property PACKAGE_PIN AD16 		[get_ports {X1_2[t2][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][4]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][4]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][4]}]

set_property PACKAGE_PIN AD15 		[get_ports {X1_2[t2][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][5]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][5]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][5]}]

set_property PACKAGE_PIN AF15 		[get_ports {X1_2[t2][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][6]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][6]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][6]}]

set_property PACKAGE_PIN AF14 		[get_ports {X1_2[t2][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][7]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][7]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][7]}]

set_property PACKAGE_PIN AE16 		[get_ports {X1_2[t2][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][8]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][8]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][8]}]

set_property PACKAGE_PIN AE15 		[get_ports {X1_2[t2][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][9]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][9]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][9]}]

set_property PACKAGE_PIN AE17 		[get_ports {X1_2[t2][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][10]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][10]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][10]}]

set_property PACKAGE_PIN AF17 		[get_ports {X1_2[t2][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t2][11]}]
set_property DRIVE 8 				[get_ports {X1_2[t2][11]}]
set_property SLEW SLOW 				[get_ports {X1_2[t2][11]}]

#Bytegroup t3

set_property PACKAGE_PIN Y17 		[get_ports {X1_2[t3][0]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][0]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][0]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][0]}]

set_property PACKAGE_PIN AA17 		[get_ports {X1_2[t3][1]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][1]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][1]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][1]}]

set_property PACKAGE_PIN AB17 		[get_ports {X1_2[t3][2]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][2]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][2]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][2]}]

set_property PACKAGE_PIN AB16 		[get_ports {X1_2[t3][3]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][3]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][3]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][3]}]

set_property PACKAGE_PIN AC17 		[get_ports {X1_2[t3][4]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][4]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][4]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][4]}]

set_property PACKAGE_PIN AC16 		[get_ports {X1_2[t3][5]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][5]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][5]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][5]}]

set_property PACKAGE_PIN AA15 		[get_ports {X1_2[t3][6]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][6]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][6]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][6]}]

set_property PACKAGE_PIN AA14 		[get_ports {X1_2[t3][7]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][7]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][7]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][7]}]

set_property PACKAGE_PIN Y16 		[get_ports {X1_2[t3][8]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][8]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][8]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][8]}]

set_property PACKAGE_PIN Y15 		[get_ports {X1_2[t3][9]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][9]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][9]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][9]}]

set_property PACKAGE_PIN W16 		[get_ports {X1_2[t3][10]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][10]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][10]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][10]}]

set_property PACKAGE_PIN W15 		[get_ports {X1_2[t3][11]}]
set_property IOSTANDARD LVCMOS33 	[get_ports {X1_2[t3][11]}]
set_property DRIVE 8 				[get_ports {X1_2[t3][11]}]
set_property SLEW SLOW 				[get_ports {X1_2[t3][11]}]

#############################################################################
# X1_MGT Connections                                                        #
#############################################################################

set_property PACKAGE_PIN AF8 		[get_ports {X1_MGT0[TX_00_P]}]
set_property PACKAGE_PIN AF7 		[get_ports {X1_MGT0[TX_00_N]}]
set_property PACKAGE_PIN AD8 		[get_ports {X1_MGT0[RX_00_P]}]
set_property PACKAGE_PIN AD7 		[get_ports {X1_MGT0[RX_00_N]}]
set_property PACKAGE_PIN AF4		[get_ports {X1_MGT0[TX_01_P]}]
set_property PACKAGE_PIN AF3		[get_ports {X1_MGT0[TX_01_N]}]
set_property PACKAGE_PIN AE6		[get_ports {X1_MGT0[RX_01_P]}]
set_property PACKAGE_PIN AE5		[get_ports {X1_MGT0[RX_01_N]}]
set_property PACKAGE_PIN AE2		[get_ports {X1_MGT0[TX_02_P]}]
set_property PACKAGE_PIN AE1		[get_ports {X1_MGT0[TX_02_N]}]
set_property PACKAGE_PIN AC6		[get_ports {X1_MGT0[RX_02_P]}]
set_property PACKAGE_PIN AC5		[get_ports {X1_MGT0[RX_02_N]}]
set_property PACKAGE_PIN AC2		[get_ports {X1_MGT0[TX_03_P]}]
set_property PACKAGE_PIN AC1		[get_ports {X1_MGT0[TX_03_N]}]
set_property PACKAGE_PIN AD4		[get_ports {X1_MGT0[RX_03_P]}]
set_property PACKAGE_PIN AD3		[get_ports {X1_MGT0[RX_03_N]}]

set_property PACKAGE_PIN W6 		[get_ports {X1_MGT0[CLK_0_P]}]
set_property PACKAGE_PIN W5 		[get_ports {X1_MGT0[CLK_0_N]}]

set_property PACKAGE_PIN AA2 		[get_ports {X1_MGT1[TX_04_P]}]
set_property PACKAGE_PIN AA1 		[get_ports {X1_MGT1[TX_04_N]}]
set_property PACKAGE_PIN AB4 		[get_ports {X1_MGT1[RX_04_P]}]
set_property PACKAGE_PIN AB3 		[get_ports {X1_MGT1[RX_04_N]}]
set_property PACKAGE_PIN W2 		[get_ports {X1_MGT1[TX_05_P]}]
set_property PACKAGE_PIN W1 		[get_ports {X1_MGT1[TX_05_N]}]
set_property PACKAGE_PIN Y4 		[get_ports {X1_MGT1[RX_05_P]}]
set_property PACKAGE_PIN Y3 		[get_ports {X1_MGT1[RX_05_N]}]
set_property PACKAGE_PIN U2 		[get_ports {X1_MGT1[TX_06_P]}]
set_property PACKAGE_PIN U1 		[get_ports {X1_MGT1[TX_06_N]}]
set_property PACKAGE_PIN V4 		[get_ports {X1_MGT1[RX_06_P]}]
set_property PACKAGE_PIN V3 		[get_ports {X1_MGT1[RX_06_N]}]
set_property PACKAGE_PIN R2 		[get_ports {X1_MGT1[TX_07_P]}]
set_property PACKAGE_PIN R1 		[get_ports {X1_MGT1[TX_07_N]}]
set_property PACKAGE_PIN T4 		[get_ports {X1_MGT1[RX_07_P]}]
set_property PACKAGE_PIN T3 		[get_ports {X1_MGT1[RX_07_N]}]

set_property PACKAGE_PIN R6 		[get_ports {X1_MGT1[CLK_1_P]}]
set_property PACKAGE_PIN R5 		[get_ports {X1_MGT1[CLK_1_N]}]


#############################################################################
# X2_1 Connections                                                          #
#############################################################################

#Bytegroup t0

set_property PACKAGE_PIN F12 		[get_ports {X2_1[t0][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][0]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][0]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][0]}]

set_property PACKAGE_PIN E12 		[get_ports {X2_1[t0][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][1]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][1]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][1]}]

set_property PACKAGE_PIN E10 		[get_ports {X2_1[t0][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][2]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][2]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][2]}]

set_property PACKAGE_PIN D10 		[get_ports {X2_1[t0][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][3]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][3]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][3]}]

set_property PACKAGE_PIN G10 		[get_ports {X2_1[t0][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][4]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][4]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][4]}]

set_property PACKAGE_PIN F10 		[get_ports {X2_1[t0][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][5]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][5]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][5]}]

set_property PACKAGE_PIN E11 		[get_ports {X2_1[t0][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][6]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][6]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][6]}]

set_property PACKAGE_PIN D11 		[get_ports {X2_1[t0][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][7]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][7]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][7]}]

set_property PACKAGE_PIN G12 		[get_ports {X2_1[t0][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][8]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][8]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][8]}]

set_property PACKAGE_PIN G11 		[get_ports {X2_1[t0][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][9]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][9]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][9]}]

set_property PACKAGE_PIN F13 		[get_ports {X2_1[t0][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][10]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][10]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][10]}]

set_property PACKAGE_PIN E13 		[get_ports {X2_1[t0][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t0][11]}]
set_property DRIVE 8 				[get_ports {X2_1[t0][11]}]
set_property SLEW SLOW 				[get_ports {X2_1[t0][11]}]

#Bytegroup t1

set_property PACKAGE_PIN H13 		[get_ports {X2_1[t1][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][0]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][0]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][0]}]

set_property PACKAGE_PIN H12 		[get_ports {X2_1[t1][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][1]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][1]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][1]}]

set_property PACKAGE_PIN K13 		[get_ports {X2_1[t1][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][2]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][2]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][2]}]

set_property PACKAGE_PIN J13 		[get_ports {X2_1[t1][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][3]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][3]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][3]}]

set_property PACKAGE_PIN K15 		[get_ports {X2_1[t1][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][4]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][4]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][4]}]

set_property PACKAGE_PIN J15 		[get_ports {X2_1[t1][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][5]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][5]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][5]}]

set_property PACKAGE_PIN G16 		[get_ports {X2_1[t1][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][6]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][6]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][6]}]

set_property PACKAGE_PIN G15 		[get_ports {X2_1[t1][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][7]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][7]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][7]}]

set_property PACKAGE_PIN G14 		[get_ports {X2_1[t1][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][8]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][8]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][8]}]

set_property PACKAGE_PIN F14 		[get_ports {X2_1[t1][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][9]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][9]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][9]}]

set_property PACKAGE_PIN J14 		[get_ports {X2_1[t1][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][10]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][10]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][10]}]

set_property PACKAGE_PIN H14 		[get_ports {X2_1[t1][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t1][11]}]
set_property DRIVE 8 				[get_ports {X2_1[t1][11]}]
set_property SLEW SLOW 				[get_ports {X2_1[t1][11]}]

#Bytegroup t2

set_property PACKAGE_PIN D15 		[get_ports {X2_1[t2][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][0]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][0]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][0]}]

set_property PACKAGE_PIN D14 		[get_ports {X2_1[t2][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][1]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][1]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][1]}]

set_property PACKAGE_PIN F15 		[get_ports {X2_1[t2][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][2]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][2]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][2]}]

set_property PACKAGE_PIN E15 		[get_ports {X2_1[t2][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][3]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][3]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][3]}]

set_property PACKAGE_PIN C17 		[get_ports {X2_1[t2][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][4]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][4]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][4]}]

set_property PACKAGE_PIN C16 		[get_ports {X2_1[t2][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][5]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][5]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][5]}]

set_property PACKAGE_PIN E16 		[get_ports {X2_1[t2][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][6]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][6]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][6]}]

set_property PACKAGE_PIN D16 		[get_ports {X2_1[t2][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][7]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][7]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][7]}]

set_property PACKAGE_PIN B16 		[get_ports {X2_1[t2][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][8]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][8]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][8]}]

set_property PACKAGE_PIN B15 		[get_ports {X2_1[t2][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][9]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][9]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][9]}]

set_property PACKAGE_PIN B17 		[get_ports {X2_1[t2][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][10]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][10]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][10]}]

set_property PACKAGE_PIN A17 		[get_ports {X2_1[t2][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t2][11]}]
set_property DRIVE 8 				[get_ports {X2_1[t2][11]}]
set_property SLEW SLOW 				[get_ports {X2_1[t2][11]}]

#Bytegroup t3

set_property PACKAGE_PIN D13 		[get_ports {X2_1[t3][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][0]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][0]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][0]}]

set_property PACKAGE_PIN C13 		[get_ports {X2_1[t3][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][1]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][1]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][1]}]

set_property PACKAGE_PIN C14 		[get_ports {X2_1[t3][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][2]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][2]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][2]}]

set_property PACKAGE_PIN B14 		[get_ports {X2_1[t3][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][3]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][3]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][3]}]

set_property PACKAGE_PIN A15 		[get_ports {X2_1[t3][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][4]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][4]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][4]}]

set_property PACKAGE_PIN A14 		[get_ports {X2_1[t3][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][5]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][5]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][5]}]

set_property PACKAGE_PIN C12 		[get_ports {X2_1[t3][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][6]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][6]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][6]}]

set_property PACKAGE_PIN B12 		[get_ports {X2_1[t3][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][7]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][7]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][7]}]

set_property PACKAGE_PIN C11 		[get_ports {X2_1[t3][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][8]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][8]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][8]}]

set_property PACKAGE_PIN B11 		[get_ports {X2_1[t3][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][9]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][9]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][9]}]

set_property PACKAGE_PIN A13 		[get_ports {X2_1[t3][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][10]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][10]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][10]}]

set_property PACKAGE_PIN A12 		[get_ports {X2_1[t3][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_1[t3][11]}]
set_property DRIVE 8 				[get_ports {X2_1[t3][11]}]
set_property SLEW SLOW 				[get_ports {X2_1[t3][11]}]

#############################################################################
# X2_2 Connections                                                          #
#############################################################################

#Bytegroup t0

set_property PACKAGE_PIN J11 		[get_ports {X2_2[t0][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][0]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][0]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][0]}]

set_property PACKAGE_PIN H11 		[get_ports {X2_2[t0][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][1]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][1]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][1]}]

set_property PACKAGE_PIN G6 		[get_ports {X2_2[t0][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][2]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][2]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][2]}]

set_property PACKAGE_PIN G5 		[get_ports {X2_2[t0][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][3]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][3]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][3]}]

set_property PACKAGE_PIN H9 		[get_ports {X2_2[t0][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][4]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][4]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][4]}]

set_property PACKAGE_PIN G9 		[get_ports {X2_2[t0][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][5]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][5]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][5]}]

set_property PACKAGE_PIN H7 		[get_ports {X2_2[t0][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][6]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][6]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][6]}]

set_property PACKAGE_PIN H6 		[get_ports {X2_2[t0][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][7]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][7]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][7]}]

set_property PACKAGE_PIN J10 		[get_ports {X2_2[t0][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][8]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][8]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][8]}]

set_property PACKAGE_PIN J9 		[get_ports {X2_2[t0][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][9]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][9]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][9]}]

set_property PACKAGE_PIN J8 		[get_ports {X2_2[t0][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][10]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][10]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][10]}]

set_property PACKAGE_PIN H8 		[get_ports {X2_2[t0][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t0][11]}]
set_property DRIVE 8 				[get_ports {X2_2[t0][11]}]
set_property SLEW SLOW 				[get_ports {X2_2[t0][11]}]

#Bytegroup t1

set_property PACKAGE_PIN F5 		[get_ports {X2_2[t1][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][0]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][0]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][0]}]

set_property PACKAGE_PIN E5 		[get_ports {X2_2[t1][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][1]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][1]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][1]}]

set_property PACKAGE_PIN D9 		[get_ports {X2_2[t1][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][2]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][2]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][2]}]

set_property PACKAGE_PIN D8 		[get_ports {X2_2[t1][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][3]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][3]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][3]}]

set_property PACKAGE_PIN F9 		[get_ports {X2_2[t1][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][4]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][4]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][4]}]

set_property PACKAGE_PIN E8 		[get_ports {X2_2[t1][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][5]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][5]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][5]}]

set_property PACKAGE_PIN E6 		[get_ports {X2_2[t1][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][6]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][6]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][6]}]

set_property PACKAGE_PIN D5 		[get_ports {X2_2[t1][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][7]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][7]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][7]}]

set_property PACKAGE_PIN F8 		[get_ports {X2_2[t1][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][8]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][8]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][8]}]

set_property PACKAGE_PIN E7 		[get_ports {X2_2[t1][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][9]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][9]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][9]}]

set_property PACKAGE_PIN G7 		[get_ports {X2_2[t1][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][10]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][10]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][10]}]

set_property PACKAGE_PIN F7 		[get_ports {X2_2[t1][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t1][11]}]
set_property DRIVE 8 				[get_ports {X2_2[t1][11]}]
set_property SLEW SLOW 				[get_ports {X2_2[t1][11]}]

#Bytegroup t2

set_property PACKAGE_PIN C8 		[get_ports {X2_2[t2][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][0]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][0]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][0]}]

set_property PACKAGE_PIN C7 		[get_ports {X2_2[t2][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][1]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][1]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][1]}]

set_property PACKAGE_PIN D6 		[get_ports {X2_2[t2][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][2]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][2]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][2]}]

set_property PACKAGE_PIN C6 		[get_ports {X2_2[t2][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][3]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][3]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][3]}]

set_property PACKAGE_PIN C9 		[get_ports {X2_2[t2][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][4]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][4]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][4]}]

set_property PACKAGE_PIN B9 		[get_ports {X2_2[t2][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][5]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][5]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][5]}]

set_property PACKAGE_PIN B10 		[get_ports {X2_2[t2][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][6]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][6]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][6]}]

set_property PACKAGE_PIN A10 		[get_ports {X2_2[t2][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][7]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][7]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][7]}]

set_property PACKAGE_PIN A9 		[get_ports {X2_2[t2][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][8]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][8]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][8]}]

set_property PACKAGE_PIN A8 		[get_ports {X2_2[t2][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][9]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][9]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][9]}]

set_property PACKAGE_PIN B7 		[get_ports {X2_2[t2][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][10]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][10]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][10]}]

set_property PACKAGE_PIN A7 		[get_ports {X2_2[t2][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t2][11]}]
set_property DRIVE 8 				[get_ports {X2_2[t2][11]}]
set_property SLEW SLOW 				[get_ports {X2_2[t2][11]}]

#Bytegroup t3

set_property PACKAGE_PIN C4 		[get_ports {X2_2[t3][0]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][0]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][0]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][0]}]

set_property PACKAGE_PIN C3 		[get_ports {X2_2[t3][1]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][1]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][1]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][1]}]

set_property PACKAGE_PIN B5 		[get_ports {X2_2[t3][2]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][2]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][2]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][2]}]

set_property PACKAGE_PIN B4 		[get_ports {X2_2[t3][3]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][3]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][3]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][3]}]

set_property PACKAGE_PIN B6 		[get_ports {X2_2[t3][4]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][4]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][4]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][4]}]

set_property PACKAGE_PIN A5 		[get_ports {X2_2[t3][5]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][5]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][5]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][5]}]

set_property PACKAGE_PIN A4 		[get_ports {X2_2[t3][6]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][6]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][6]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][6]}]

set_property PACKAGE_PIN A3 		[get_ports {X2_2[t3][7]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][7]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][7]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][7]}]

set_property PACKAGE_PIN C2 		[get_ports {X2_2[t3][8]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][8]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][8]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][8]}]

set_property PACKAGE_PIN B1 		[get_ports {X2_2[t3][9]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][9]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][9]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][9]}]

set_property PACKAGE_PIN B2 		[get_ports {X2_2[t3][10]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][10]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][10]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][10]}]

set_property PACKAGE_PIN A2 		[get_ports {X2_2[t3][11]}]
set_property IOSTANDARD LVCMOS18 	[get_ports {X2_2[t3][11]}]
set_property DRIVE 8 				[get_ports {X2_2[t3][11]}]
set_property SLEW SLOW 				[get_ports {X2_2[t3][11]}]